Corridors disponibles
curl --request GET \
--url https://sandbox-api.caurisflux.com/api/v1/payouts/reference/corridors \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox-api.caurisflux.com/api/v1/payouts/reference/corridors"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox-api.caurisflux.com/api/v1/payouts/reference/corridors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payouts (Décaissements)
Corridors disponibles
Liste des corridors de payout supportés
GET
/
payouts
/
reference
/
corridors
Corridors disponibles
Liste les corridors de payout supportés (source -> destination).
Un corridor définit les routes de transfert disponibles avec les devises, méthodes et contraintes.
Cet endpoint ne nécessite pas d’authentification.
Paramètres de requête
| Paramètre | Type | Requis | Description |
|---|---|---|---|
sourceCountry | string | Non | Filtrer par pays source (ISO 2) |
destinationCountry | string | Non | Filtrer par pays destination (ISO 2) |
Requête
curl "https://sandbox-api.caurisflux.com/api/v1/payouts/reference/corridors?sourceCountry=SN"
Réponse
{
"corridors": [
{
"sourceCountry": "SN",
"destinationCountry": "SN",
"sourceCurrency": "XOF",
"destinationCurrency": "XOF",
"methods": ["bank_transfer", "mobile_money"],
"minAmount": 1000,
"maxAmount": 50000000,
"isInternational": false
},
{
"sourceCountry": "SN",
"destinationCountry": "FR",
"sourceCurrency": "XOF",
"destinationCurrency": "EUR",
"methods": ["bank_transfer"],
"minAmount": 10000,
"maxAmount": 10000000,
"isInternational": true
},
{
"sourceCountry": "SN",
"destinationCountry": "MA",
"sourceCurrency": "XOF",
"destinationCurrency": "MAD",
"methods": ["bank_transfer"],
"minAmount": 10000,
"maxAmount": 5000000,
"isInternational": true
}
]
}
Champs de réponse
| Champ | Type | Description |
|---|---|---|
sourceCountry | string | Pays source (ISO 2) |
destinationCountry | string | Pays destination (ISO 2) |
sourceCurrency | string | Devise source |
destinationCurrency | string | Devise destination |
methods | array | Méthodes de paiement disponibles |
minAmount | number | Montant minimum |
maxAmount | number | Montant maximum |
isInternational | boolean | Si le corridor est international |
Utilisation
Utilisez cet endpoint pour :- Vérifier si un corridor est disponible avant de créer un payout
- Afficher les destinations possibles à vos utilisateurs
- Connaître les limites de montant par corridor
⌘I